Class | Amalgalite::SQLite3::Database::Function
In: | lib/amalgalite/sqlite3/database/function.rb lib/amalgalite/sqlite3/database/function.rb
Parent: | Object

A wrapper around a proc for use as an SQLite Ddatabase fuction

      f = Function.new( 'md5', lambda { |x| Digest::MD5.hexdigest( x.to_s ) } )

### Methods

arity arity call call new new signature signature signature signature to_s to_s

### Attributes

name | [R] | the name of the function, and how it will be called in SQL
name | [R] | the name of the function, and how it will be called in SQL

### Public Class methods

new( name, _proc )

Initialize with the name and the Proc

new( name, _proc )

Initialize with the name and the Proc

signature( name, arity )

The unique signature of this function. This is used to determin if the function is already registered or not

signature( name, arity )

The unique signature of this function. This is used to determin if the function is already registered or not

### Public Instance methods

arity()

The arity of SQL function, -1 means it is takes a variable number of arguments.

arity()

The arity of SQL function, -1 means it is takes a variable number of arguments.

call( *args )

Invoke the proc

call( *args )

Invoke the proc

signature()

The unique signature of this function

signature()

The unique signature of this function

to_s()

Alias for signature

to_s()

Alias for signature

[Validate]